FLANG

Public Types | Public Member Functions | List of all members
Fortran::runtime::DerivedType Class Reference

## Public Types
enum | SpecialTBP { InitializerTBP, CopierTBP, FinalTBP }

## Public Member Functions
| DerivedType (const char *n, std::size_t kps, std::size_t lps, const TypeParameter *tp, std::size_t cs, const Component *ca, std::size_t tbps, const TypeBoundProcedure *tbp, std::size_t sz)
const char * | name () const
std::size_t | kindParameters () const
std::size_t | lenParameters () const
const TypeParameter & | typeParameter (int n) const
std::size_t | components () const
std::size_t | typeBoundProcedures () const
const TypeBoundProcedure & | typeBoundProcedure (int n) const
DerivedType & | set_sequence ()
DerivedType & | set_bind_c ()
std::size_t | SizeInBytes () const
bool | Extends () const
bool | AnyPrivate () const
bool | IsSequence () const
bool | IsBindC () const
bool | IsNontrivial () const
bool | IsSameType (const DerivedType &) const
void | Initialize (char *instance) const
void | Destroy (char *instance, bool finalize=true) const

The documentation for this class was generated from the following files:

- runtime/derived-type.h
- runtime/derived-type.cpp